# Starrydata

Starrydata is a library that allows users to easily download and utilize datasets related to inorganic materials. This library enables efficient data retrieval for research and projects.

## Installation

You can install Starrydata from PyPI using the following command:

```sh
pip install starrydata
```

## Usage

Below is an example of how to use Starrydata.

### Downloading a Dataset

To download a specific dataset, use the `Dataset` class. Here is an example of how to download and load a dataset into a pandas DataFrame:

```python
from starrydata import Dataset
import pandas as pd

# Initialize the Dataset object with a specific date
dataset = Dataset(date="20240515")

# Load the dataset into a pandas DataFrame
df = pd.read_csv(dataset.all_curves)

# Display the DataFrame
print(df)
```

## Documentation

For more detailed documentation and usage examples, please refer to the [official documentation](https://pypi.org/project/starrydata/).

## Contributing

Bug reports and feature requests are welcome at the [GitHub repository](https://github.com/starrydata/starrydata-python-library/). Contributions to the codebase are also appreciated. Follow these steps to contribute:

1. Fork the repository
2. Create a new branch (`git checkout -b feature-branch`)
3. Commit your changes (`git commit -am 'Add new feature'`)
4. Push the branch (`git push origin feature-branch`)
5. Create a pull request

## License

This project is licensed under the MIT License. See the [LICENSE file](https://github.com/starrydata/starrydata-python-library?tab=MIT-1-ov-file#readme) for more details.

